Forums

[Résolu] PlayOnLinux n'est pas en mesure de trouver les bibliothèques OpenGL32

Auteur Réponses
mokhtar_one Lundi 22 Juillet 2013 à 15:49
mokhtar_oneAnonymous

Salut :)
je viens d'installer Playonlinux sur Linux mint 15 kde 64Bits et a première vu , j'ai cette erreur qui apparaît  . 
j'ai une carte graphique intel . et mon pilote mesa est bien installé .
merci pour votre aide.

 

Edité par mokhtar_one

petch Lundi 22 Juillet 2013 à 19:36
petch
Développeur

Il faut aussi installer la version 32 bits.
GNU_Raziel Mardi 23 Juillet 2013 à 13:24
GNU_Raziel

Bonjour,

Voila comment j'ai fait, en quelques étapes faciles, pour MINT LMDE et Debian Testing, quelques modif seront requises pour MINT 15 je pense, vous aurez au moins la base ^^

1- Activer le support multiarch :

sudo dpkg --add-architecture i386
sudo apt-get update


2- Télécharger et installer ces librairies spécialement recompilées en multiarch (inexistantes sur les dépôt testing qui sont utilisés par la MINT LMDE) :

wget -c http://twolife.be/debian/todo/xvmc/libxvmc1_1.0.7-1+multiarch_i386.deb
wget -c http://twolife.be/debian/todo/xvmc/libxvmc1_1.0.7-1+multiarch_amd64.deb
sudo dpkg -i libxvmc1_1.0.7-1+multiarch_amd64.deb
sudo dpkg -i libxvmc1_1.0.7-1+multiarch_i386.deb

Note : ce dépôt est gracieusement proposé par un contributeur reconnu et de longue date sur Debian, en attendant que le problème soit corrigé en upstream car ses librairies sont INDISPENSABLES au fonctionnement des pilotes propriétaires Nvidia et ATI/AMD en multiarch.

3- Installer la version x86 du pilote (Nvidia ici, à modifier pour ATI/AMD et Intel) :

sudo apt-get install libgl1-mesa-glx:i386 libgl1-nvidia-glx:i386
sudo apt-get install --reinstall libgl1-mesa-glx libgl1-nvidia-glx


4- Ajouter la diversion requise (Nvidia toujours, à modifier pour ATI/AMD et Intel) :

sudo ln -s -f /etc/alternatives/nvidia--libGL.so.1-i386-linux-gnu /usr/lib32/libGL.so.1


Voila c'est fini et plus d'erreur :)

Edité par GNU_Raziel

Quentin PÂRIS Mardi 23 Juillet 2013 à 16:58
Quentin PÂRIS
Admin

Euh j'ai pas eu besoin de faire tout ça sur ma debian.

Y'a juste un paquet à installer en i368 (je sais plus lequel) et c'est bo,

En général c'est quand même assez dangereux d'aller chercher des paquets sur des sites inconnus comme ça
mokhtar_one Mercredi 24 Juillet 2013 à 4:38
mokhtar_oneAnonymous

Merci pour votre aide ! :)
j'ai eu une erreur a l’étape 3
https://docs.google.com/file/d/0B6Vs35CKtyPzQngyb3Atbi14ZFU/edit?usp=sharing
comment faire ?!
GNU_Raziel Jeudi 25 Juillet 2013 à 13:25
GNU_Raziel

Etant donné que tu as une carte graphique Intel, tu dois absolument installer le pilote Intel, pas Nvidia (qui ne te servirais a rien ici), je ne connais pas sont nom mais ça dois être facilement trouvable sur les wiki officiels Mint.

De mémoire il me semble que l'officiel Intel est celui mesa, ce qui veut dire que tu n'aurais qu'a installer les libGL mesa x64 et x86 pour que ça fonctionne.

Et pas d'étape 4 pour toi, la diversion ne servant qu'a remplacer les lib mesa par celles des pilote proprio.
mokhtar_one Jeudi 25 Juillet 2013 à 15:16
mokhtar_oneAnonymous

Thinks ^^ , everything work now perfectly ! after i have found this solution :)
http://steamcommunity.com/app/221410/discussions/0/846939071165821953/?l=french#p2
thinks :)
Dadu042 Samedi 4 Mai 2019 à 6:49
Dadu042
Modérateur

J'ai eu moi aussi ce même soucis ( ""PlayOnLinux n'est pas en mesure de trouver les bibliothèques OpenGL 32bits." ). Mon PC portable a une GPU Intel et une Nvidia.

La cause était que je n'avais pas installé Wine sur l'OS (Ubuntu 18.04 LTS) avant d'installer POL, espérant que le les Wine installables dans POL suffiraient.